---
layout: article
title: ViewBoxes
description: Position up to 6 additional tables alongside your main EDIT or VIEW grid in Data Controller for SAS®
og_image:  https://docs.datacontroller.io/img/viewboxes.png
---

# ViewBoxes

Often when editing (or examining) raw data, it is helpful to see it alongside related information in other tables.  With ViewBoxes you can align up to 6 other tables in front of your main grid, in both the VIEW and EDIT menu.

Each individual viewbox has the following features:

* Choose the columns to display (and which order)
* Resize individual boxes (or reset to original)
* Full filtering capability (complex clauses)
* Minimise / Restore all, or individually
* Reposition - manually, or snap to grid
* Open in Editor (if an editable table)
* Primary Key highlighting
* Frontend sorting
* Search all data
* Open in Viewer


All of the above information (except search and frontend sort) is stored in the URL - so you can share a link to a complex ViewBox setup with a colleague, who can then open the same view of the data.

![Data Controller for SAS€ Viewboxes](https://docs.datacontroller.io/img/viewboxes.png)
